old DLPI doesn't have dl_sap_length
[ppp.git] / pppd / Makefile.linux
1 #
2 # pppd makefile for Linux
3 # $Id: Makefile.linux,v 1.9 1995/12/11 02:55:25 paulus Exp $
4 #
5
6 PPPDSRCS = main.c magic.c fsm.c lcp.c ipcp.c upap.c chap.c md5.c ccp.c \
7         auth.c options.c sys-linux.c
8 HEADERS = callout.h pathnames.h patchlevel.h chap.h md5.h
9 MANPAGES = pppd.8
10
11 PPPDOBJS = main.o magic.o fsm.o lcp.o ipcp.o upap.o chap.o md5.o ccp.o \
12         auth.o options.o sys-linux.o
13
14 all: pppd
15
16 #
17 # include dependancies if present and backup if as a header file
18 ifeq (.depend,$(wildcard .depend))
19 include .depend
20 HEADERS := $(HEADERS) .depend
21 endif
22
23 # CC = gcc
24 # DEBUG_FLAGS = -DDEBUGALL
25 COMPILE_FLAGS = -D_linux_=1 -DHAVE_PATHS_H
26 COPTS = -g # -O2
27 VER = 0.2.8
28 LIBS = -lbsd
29
30 CFLAGS = $(COPTS) $(DEBUG_FLAGS) $(COMPILE_FLAGS)
31 SOURCE= RELNOTES Makefile.linux $(PPPDSRCS) $(HEADERS) $(MANPAGES)
32
33 install: pppd
34         mkdir -p $(BINDIR)
35         install -c -m 4555 -o root pppd $(BINDIR)/pppd
36         install -c -m 555 -o root pppd.8 $(MANDIR)/man8
37
38 pppd: $(PPPDOBJS)
39         $(CC) $(CFLAGS) -o pppd $(PPPDOBJS) $(LIBS) # -Wl,-M >pppd.map
40
41 pppd.tar: $(SOURCE)
42         tar -cvf pppd.tar $(SOURCE)
43
44 pppd.tar.gz: pppd.tar
45         gzip pppd.tar
46
47 clean:
48         rm -f $(PPPDOBJS) pppd *~ #* core
49
50 depend:
51         $(CPP) -M $(CFLAGS) $(PPPDSRCS) >.depend